Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Class ServerLegalHelper

    java.lang.Object
      |
      +--weblogic.management.configuration.ServerLegalHelper

public final class ServerLegalHelper
extends java.lang.Object

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `DEFAULT_THREAD_POOL_SIZE`
`static int` | `PRODUCTION_MODE_THREAD_POOL_SIZE`

Constructor Summary
`ServerLegalHelper()`

Method Summary
`static void` | `checkListenAddress(ServerMBean self, java.lang.Object value)`
`static boolean` | `isListenPortEnabled(SSLMBean self)` Returns true if the listen port is enabled for this server that is the parent of this SSLMBean.
`static boolean` | `isSSLListenPortEnabled(ServerMBean self)` Gets the sSLListenPortEnabled attribute of the ServerLegalHelper class

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_THREAD_POOL_SIZE

    public static final int DEFAULT_THREAD_POOL_SIZE

### PRODUCTION_MODE_THREAD_POOL_SIZE

    public static final int PRODUCTION_MODE_THREAD_POOL_SIZE

Constructor Detail

### ServerLegalHelper

    public ServerLegalHelper()

Method Detail

### isSSLListenPortEnabled

    public static boolean isSSLListenPortEnabled(ServerMBean self)

  Gets the sSLListenPortEnabled attribute of the ServerLegalHelper class

  Parameters:
    `self` -
  Returns:
    The sSLListenPortEnabled value

### isListenPortEnabled

    public static boolean isListenPortEnabled(SSLMBean self)

  Returns true if the listen port is enabled for this server that is the parent of this SSLMBean.

  Parameters:
    `self` - The SSLMBean to check.
  Returns:
    The listenPortEnabled value

### checkListenAddress

    public static void checkListenAddress(ServerMBean self,
                                          java.lang.Object value)
                                   throws javax.management.InvalidAttributeValueException

  Parameters:
    `self` -
    `value` -
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD